> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# task 버전의 routing 조회



## OpenAPI

````yaml ko/openapi/model-distillation/management.openapi.yaml GET /tasks/{alias}/versions/{version}/routing
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    공급자, 프로젝트 (API 경로에서는 tasks라고 함), 라우팅 버전,
    데이터셋, 레이블 재지정, 미세 조정 모델, 평가, 분석을 관리하세요. 이 API는
    Model Distillation에서 사용하는 API와 동일합니다.
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 프로덕션
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI 호환 엔드포인트, 인증 정보, 모델 카탈로그 및 가격.
  - name: Tasks
    description: 안정적인 작업 ID와 작업 수준 정보입니다.
  - name: Routing
    description: 버전이 지정된 모델 대상, 가중치, 요청 매개변수.
  - name: Datasets
    description: 재현 가능한 데이터 스냅샷, 항목, 레이블 재지정, 재사용 가능한 모델 출력.
  - name: Fine-tunes
    description: 지도 파인튜닝 작업 및 호스팅된 모델 아티팩트.
  - name: Evaluations
    description: 직접 비교, 완전 일치, 범주화 평가.
  - name: Analytics
    description: 작업 트래픽, 토큰, 오류, 예상 비용 조회 모델.
  - name: UI preferences
    description: UI에서 사용하는 작업별 표시 기본 설정.
paths:
  /tasks/{alias}/versions/{version}/routing:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
      - $ref: '#/components/parameters/TaskVersion'
    get:
      tags:
        - Routing
      summary: 작업 버전의 라우팅 조회
      operationId: getVersionRouting
      responses:
        '200':
          $ref: '#/components/responses/RoutingState'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: 액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    TaskVersion:
      name: version
      in: path
      required: true
      schema:
        type: integer
        minimum: 1
  responses:
    RoutingState:
      description: 원하는 라우팅 및 해당 라우팅의 게시 상태.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RoutingState'
    Error:
      description: 요청이 실패했습니다.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    RoutingState:
      type: object
      required:
        - routing
      properties:
        routing:
          $ref: '#/components/schemas/RoutingConfig'
        deployment:
          oneOf:
            - $ref: '#/components/schemas/Deployment'
            - type: 'null'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
    RoutingConfig:
      type: object
      additionalProperties: true
      required:
        - targets
      properties:
        targets:
          type: array
          items:
            $ref: '#/components/schemas/Target'
    Deployment:
      type: object
      required:
        - proxy_backend
        - status
      additionalProperties: true
      properties:
        proxy_backend:
          type: string
        status:
          type: string
          enum:
            - pending
            - applying
            - applied
            - failed
        applied_revision:
          type: integer
          nullable: true
        external_ref:
          type: string
          nullable: true
        last_error:
          type: string
          nullable: true
    Target:
      type: object
      additionalProperties: false
      required:
        - model_ref
        - weight
      properties:
        model_ref:
          $ref: '#/components/schemas/ModelRef'
        weight:
          type: number
          minimum: 0
        params_override:
          $ref: '#/components/schemas/JsonObject'
      example:
        model_ref: openai/gpt-5.6-sol
        weight: 1
        params_override:
          temperature: 0
    ModelRef:
      type: string
      pattern: ^[a-z0-9][a-z0-9_-]{0,63}/\S+$
      example: openai/gpt-5.6-sol
    JsonObject:
      type: object
      additionalProperties: true
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B API 키.

````